function Main_2020_Ensemble_BRB()
% Homepage: https://idea-team.github.io
% Author  : Dr. Long-Hao Yang
% E-mail  : more026@hotmail.com
% Date    : 2024.09.16
% Ref.[1] :	Yang L.H., et al., Ensemble belief rule base modeling with diverse attribute selection and cautious conjunctive rule for classification problems[J]. Expert Systems with Applications, 2020, 146: 113161.

%% Pls define your settings in this section
% Pls give the name of datasets, 
userSetting.dataSetNames = {'case-1', 'case-2'};  
% ==> e.g.{'case-1'} for only one dataset, {'case-1', 'case-2'} for multiple datasets
% ==> Pls provide '.idea-betadata' '.idea-wdata' for each dataset

% Pls give the number of assessment grades for antecedent attributes, 
userSetting.anteAttrUtilNum = 5; % integer, value range [2, 10]
userSetting.conqAttrUtilNum = 5; % integer, value range [2, inf]

% *** Pls select a way to achieve parameter learning. 
userSetting.paraLearningType = 'UsingDE'; % 'UsingNone', 'UsingDE', 'UsingGA', 'UsingPS', 'UsingFmincon'
% ==> UsingNone   : do not use parameter learning. 
% ==> UsingDE     : Differential Evoluation Algorithm. 
% ==> UsingGA     : Genetic Algorithm. 
% ==> UsingPS     : Pattern Search Algorithm. 
% ==> UsingFmincon: Fmincon in MATLAB
% ==> when UserSetting.paraLearningType ~= 'UsingNone', pls give UserSetting.parNum and UserSetting.genNum
userSetting.parNum         = 20; % integer, value range [1, inf]
userSetting.genNum         = 10; % integer, value range [1, inf]
userSetting.ensembleParNum = 30; % integer, value range [1, inf]
userSetting.ensembleGenNum = 40; % integer, value range [1, inf]

%% Pls do not modify the codes belows
IDEA_2020_Ensemble_BRB(userSetting);
end

